//CFTTMaterial - [2020-04-13 11:57:46]
#ifndef _CFTTMATERIAL_H_
#define _CFTTMATERIAL_H_

#include "common.h"
#include "CFTTUberShader.h"
/*
00200C36 CFTTMaterial::CFTTMaterial()
00200C4A CFTTMaterial::~CFTTMaterial()
00200C40 CFTTMaterial::Init()
00200C4C CFTTMaterial::ReleaseResources()
00200C68 CFTTMaterial::SetUberShader(CFTTUberShader *,int)
00200CA4 CFTTMaterial::OverrideMatName(char const*)

0x10
*/

class CFTTMaterial {
public:
  CFTTMaterial();                             //00200C36
  ~CFTTMaterial();                            //00200C4A
  void Init();                                //00200C40
  void ReleaseResources();                    //00200C4C
  void SetUberShader(CFTTUberShader*, int);   //00200C68
  uint32 OverrideMatName(char const* pName);  //00200CA4

  CFTTUberShader* pShader_0;
  uchar* pBuf_4;
  uint32 dHash_8;
  int field_C;
};

#endif  //_CFTTMATERIAL_H_